summaryrefslogtreecommitdiffstats
path: root/installer
diff options
context:
space:
mode:
authorramon <ramongomez@us.es>2012-03-28 09:02:11 +0000
committerramon <ramongomez@us.es>2012-03-28 09:02:11 +0000
commit6addf73aef38f7a64ebf3631c888b5f7b4b34df4 (patch)
tree744fd7521c512892916dd6436f7566f98f06dc19 /installer
parent109e8b2601a48c063907eac5add1e3d4c456433d (diff)
VersiĆ³n 1.0.4, #414: Instalador hace un parcheo compatible del fichero de configuraciĆ³n de Samba.
git-svn-id: https://opengnsys.es/svn/branches/version1.0@2928 a21b9725-9963-47de-94b9-378ad31fedc9
Diffstat (limited to 'installer')
-rwxr-xr-xinstaller/opengnsys_installer.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/installer/opengnsys_installer.sh b/installer/opengnsys_installer.sh
index f6315960..e6697f7a 100755
--- a/installer/opengnsys_installer.sh
+++ b/installer/opengnsys_installer.sh
@@ -862,7 +862,8 @@ function smbConfigure()
sed -e "s/OPENGNSYSDIR/${INSTALL_TARGET//\//\\/}/g" \
$WORKDIR/opengnsys/server/etc/smb-og.conf.tmpl > $SAMBACFGDIR/smb-og.conf
# Configurar y recargar Samba"
- perl -pi -e "s/WORKGROUP/OPENGNSYS/; s/server string \=.*/server string \= OpenGnSys Samba Server/; s/^\; *include \=.*$/ include \= ${SAMBACFGDIR//\//\\/}\/smb-og.conf/" $SAMBACFGDIR/smb.conf
+ perl -pi -e "s/WORKGROUP/OPENGNSYS/; s/server string \=.*/server string \= OpenGnSys Samba Server/" $SAMBACFGDIR/smb.conf
+ test grep -q "smb-og" $SAMBACFGDIR/smb.conf || echo " include \= $SAMBACFGDIR/smb-og.conf" >> $SAMBACFGDIR/smb.conf
service=$SAMBASERV
$ENABLESERVICE; $STARTSERVICE
if [ $? -ne 0 ]; then